Bug 1734255 - Change Requires in ganglia-web
Summary: Change Requires in ganglia-web
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ganglia
Version: 30
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 05:36 UTC by Bryan Moffit
Modified: 2020-02-20 05:03 UTC (History)
2 users (show)

Fixed In Version: ganglia-3.7.2-26.fc30 ganglia-3.7.2-31.fc30 ganglia-3.7.2-31.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 04:46:04 UTC


Attachments (Terms of Use)

Description Bryan Moffit 2019-07-30 05:36:36 UTC
Description of problem:
  Unable to install ganglia-web.


Version-Release number of selected component (if applicable):
3.7.2-24.fc30

How reproducible:


Steps to Reproduce:
1.  dnf install ganglia-web
2.
3.

Actual results:

Error: 
 Problem: conflicting requests
  - nothing provides php-ZendFramework needed by ganglia-web-3.7.2-24.fc30.x86_64



Expected results:

Installed:
  ganglia-3.7.2-24.fc30.rpm                                        

Complete!


Additional info:

Looks like there's a change in case for the 'Requires' pretaining to php-ZendFramework.  I believe that it should be php-zendframework.

 dnf provides php-zendframework

php-zendframework-3.0.0-6.fc30.noarch : Zend Framework
Repo        : fedora
Matched from:
Provide    : php-zendframework = 3.0.0-6.fc30

Comment 1 Fedora Update System 2019-08-13 20:11:09 UTC
FEDORA-2019-f36850f01f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f36850f01f

Comment 2 Fedora Update System 2019-08-14 01:36:39 UTC
ganglia-3.7.2-26.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f36850f01f

Comment 3 Fedora Update System 2019-08-22 01:17:26 UTC
ganglia-3.7.2-26.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Bryan Moffit 2019-10-29 17:59:21 UTC
It appears that the php-zendframework API has significantly changed with it's current version provided in Fedora 30.

The current ganglia-web will not work with this version.  This change needs to be reverted.

Comment 5 Fedora Update System 2020-02-11 18:32:04 UTC
FEDORA-2020-73716bcffb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-73716bcffb

Comment 6 Fedora Update System 2020-02-11 18:32:06 UTC
FEDORA-2020-14d275a72b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-14d275a72b

Comment 7 Fedora Update System 2020-02-12 01:57:35 UTC
ganglia-3.7.2-31.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-73716bcffb

Comment 8 Fedora Update System 2020-02-12 02:30:02 UTC
ganglia-3.7.2-31.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-14d275a72b

Comment 9 Fedora Update System 2020-02-20 04:46:04 UTC
ganglia-3.7.2-31.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-02-20 05:03:41 UTC
ganglia-3.7.2-31.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.